#
# spec file for package velero-plugin-for-gcp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define goipath github.com/vmware-tanzu/velero-plugin-for-gcp

Name:           velero-plugin-for-gcp
Version:        1.4.0
Release:        1.11
Summary:        Velero plugin for GCP
License:        Apache-2.0
Group:          Productivity/Archiving/Backup
URL:            https://velero.io
Source0:        https://github.com/vmware-tanzu/velero-plugin-for-gcp/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) = 1.14

%description
Plugins to support Velero on Google Cloud Platform (GCP)

%prep
%setup -q -a1

%build
%goprep %{goipath}
export CGO_ENABLED=0
%gobuild -mod vendor -installsuffix "static" %{name}

%install
%goinstall

%files
%defattr(-,root,root)
%doc README.md
%%license LICENSE
%{_bindir}/%{name}

%changelog
* Wed Feb 16 2022 jenting.hsiao@suse.com
- Update to version 1.4.0:
  * Bump up busybox version
  * Pin go to 1.17.6. Pin distroless to specific sha256 tag.
  * Add new function introduced by v1.4.0 in README.
  * Upgrade the README and change log for v1.4
  * Remove not needed replace directive.
  * Upgrade go version to v1.17
  * fix_format_issue
  * lower the error level
  * Support snapshotting pv provisioned by csi driver on GCP
* Thu Sep 30 2021 jenting.hsiao@suse.com
- Update to version 1.3.0:
  * Releasing for 1.7 RC1
  * Change the base image to distroless
* Wed Jul 28 2021 jenting.hsiao@suse.com
- Update to version 1.2.1:
  * Add changelog for v1.2.1 (#65)
  * Fix typo
  * Update Velero dependency to v1.6.2 (#63)
  * Update dependencies (#61)
  * Update reviewers (#62)
  * remove ashish-amarnath from maintainers
  * Update auto assign of reviewers
  * Only publish the container image from the root repo
* Thu Apr  8 2021 jenting.hsiao@suse.com
- Update to version 1.2.0:
  * Update changelog for v1.2.0
  * Update docs to reference Velero v1.6 (#55)
  * Use credentials file passed through config (#52)
  * adding check if disk description is empty related to issue #45 (#46)
  * Add jenting as reviewer
  * added missing quotes for IAM binding
  * Update support matrix and redirect new issues (#51)
  * Add Tilt setup (#47)
* Wed Jul 29 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version v1.1.0
  * bug fix: have plugin server bind flags to allow --log-level flag to be used (#20, @skriss)
* Tue Mar  3 2020 jenting hsiao <jenting.hsiao@suse.com>
- Bump version 1.0.1
* Wed Feb  5 2020 jenting hsiao <jenting.hsiao@suse.com>
- Add LICENSE file
